#version 430 core

in vec4 partColor;

layout (location = 0) out vec4 color;
layout (location = 1) out vec4 BrightColor;

uniform vec3 diffuseColor;

void main() {	
	
	color = vec4(partColor.rgb,partColor.a);//partColor.a
	float brightness = dot(color.rgb, vec3(0.34,0.34,0.34));
	if(brightness > 0.7){
		BrightColor = vec4(color.rgb, 1.0);
	}else{
		BrightColor = vec4(0.0,0.0,0.0,1.0);
	}
}

